Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.jsf
Class PortletViewHandlerImpl

    java.lang.Object
      javax.faces.application.ViewHandler
          org.apache.portals.bridges.jsf.PortletViewHandlerImpl

public class PortletViewHandlerImpl
extends javax.faces.application.ViewHandler

View handler for JSF portlet bridge.

Author:
  David Le Strat

Field Summary
`private javax.faces.application.ViewHandler` | `handler` The ViewHandler.
`private static org.apache.commons.logging.Log` | `log` The Log instance for this class.

Fields inherited from class javax.faces.application.ViewHandler
`CHARACTER_ENCODING_KEY, DEFAULT_SUFFIX, DEFAULT_SUFFIX_PARAM_NAME`

Constructor Summary
`PortletViewHandlerImpl(javax.faces.application.ViewHandler handler)` Construct a new `ViewHandler` instance that delegates non-portlet-specific behavior to the specified implementation.

Method Summary
`Locale` | `calculateLocale(javax.faces.context.FacesContext facesContext)`
`String` | `calculateRenderKitId(javax.faces.context.FacesContext facesContext)`
`javax.faces.component.UIViewRoot` | `createView(javax.faces.context.FacesContext facesContext, String viewId)`
`String` | `getActionURL(javax.faces.context.FacesContext facesContext, String viewId)`
`String` | `getResourceURL(javax.faces.context.FacesContext facesContext, String path)`
`void` | `renderView(javax.faces.context.FacesContext facesContext, javax.faces.component.UIViewRoot viewToRender)`
`javax.faces.component.UIViewRoot` | `restoreView(javax.faces.context.FacesContext facesContext, String viewId)`
`void` | `writeState(javax.faces.context.FacesContext facesContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

  The Log instance for this class.

### handler

    private javax.faces.application.ViewHandler handler

  The ViewHandler.

Constructor Detail

### PortletViewHandlerImpl

    public PortletViewHandlerImpl(javax.faces.application.ViewHandler handler)

  Construct a new `ViewHandler` instance that delegates non-portlet-specific behavior to the specified implementation.

Parameters:
  `handler` - The `ViewHandler` instance

Method Detail

### calculateLocale

    public Locale calculateLocale(javax.faces.context.FacesContext facesContext)

  See Also:
    `ViewHandler.calculateLocale(javax.faces.context.FacesContext)`

### calculateRenderKitId

    public String calculateRenderKitId(javax.faces.context.FacesContext facesContext)

  See Also:
    `ViewHandler.calculateRenderKitId(javax.faces.context.FacesContext)`

### createView

    public javax.faces.component.UIViewRoot createView(javax.faces.context.FacesContext facesContext,
                                                       String viewId)

  See Also:
    `ViewHandler.createView(javax.faces.context.FacesContext, java.lang.String)`

### getActionURL

    public String getActionURL(javax.faces.context.FacesContext facesContext,
                               String viewId)

  See Also:
    `ViewHandler.getActionURL(javax.faces.context.FacesContext, java.lang.String)`

### getResourceURL

    public String getResourceURL(javax.faces.context.FacesContext facesContext,
                                 String path)

  See Also:
    `ViewHandler.getResourceURL(javax.faces.context.FacesContext, java.lang.String)`

### renderView

    public void renderView(javax.faces.context.FacesContext facesContext,
                           javax.faces.component.UIViewRoot viewToRender)
                    throws IOException,
                           javax.faces.FacesException

  Throws:
    `IOException`
    `javax.faces.FacesException`
  See Also:
    `ViewHandler.renderView(javax.faces.context.FacesContext, javax.faces.component.UIViewRoot)`

### restoreView

    public javax.faces.component.UIViewRoot restoreView(javax.faces.context.FacesContext facesContext,
                                                        String viewId)

  See Also:
    `ViewHandler.restoreView(javax.faces.context.FacesContext, java.lang.String)`

### writeState

    public void writeState(javax.faces.context.FacesContext facesContext)
                    throws IOException

  Throws:
    `IOException`
  See Also:
    `ViewHandler.writeState(javax.faces.context.FacesContext)`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.